#!/bin/bash
#OAR -n NS_256
#OAR -l /core=1,walltime=80:00:00

# OAR cree un repertoire temporaire
export TMPDIR=/scratch/$USER/oar.$OAR_JOB_NAME

# Liste des noeuds (nom des noeuds repete autant de fois que nb de coeurs specifies)
export NODES=`awk -v ORS=, '{print}' $OAR_FILE_NODES|sed 's/,$//'`
# Chargement des modules necessaires
module add CMake-2.8.9 fftw-3.3.1-gnu python-2.7.2
# Lancement du calcul
mkdir -p $TMPDIR
mkdir -p $TMPDIR/res
cp input.dat $TMPDIR

export EXE_DIR=`pwd` 
cd $TMPDIR
ipython $EXE_DIR/NavierStokes3d_linked.py
