"""
@package parmepy.constants

Constant parameters required for the parmepy package (internal use).

"""

import numpy as np
import math
import mpi4py.MPI as MPI
from parmepy.particular_solvers import __path__ as solver_path
import os

PI = math.pi
# Set default type for real and integer numbers
PARMES_REAL = np.float64
PARMES_INTEGER = np.uint32
PARMES_REAL_GPU = np.float32
PARMES_DOUBLE_GPU = np.float64
PARMES_INTEGER_GPU = np.uint32
## default array layout (fortran or C convention)
ORDER = 'F'
ORDERMPI = MPI.ORDER_F
DEBUG = 0
## label for x direction
XDIR = 0
## label for y direction
YDIR = 1
## label for z direction
ZDIR = 2
## Tag for periodic boundary conditions
PERIODIC = 0
## Directions string
S_DIR = ["_X", "_Y", "_Z"]
## GPU deflault sources
GPU_SRC = os.path.join(solver_path[0], "gpu_src")
