"""@package parmepy.domain.discrete

Classes for physical domains discretization description.
"""
from abc import ABCMeta, abstractmethod


class DiscreteDomain:
    """ Abstract description of a discretized physical domain."""

    __metaclass__ = ABCMeta

    @abstractmethod
    def __init__(self, domain=None):
        """
        Create a DiscreteDomain with a given discretization.
        @param domain : Domain to discretize
        """
        ## Domain to discretize
        self.domain = domain
        if(domain is not None):
            ## Domain dimension
            self.dimension = domain.dimension


if __name__ == "__main__":
    print __doc__
    print "- Provided class : DiscreteDomain"
    print DiscreteDomain.__doc__
