"""@package parmepy.domain.domain

Classes for physical domains description.
"""
from abc import ABCMeta, abstractmethod


class Domain:
    """Abstract description of physical domain. """

    __metaclass__ = ABCMeta

    @abstractmethod
    def __init__(self, dimension):
        """ Constructor
        @param dimension integer : domain dimension.
        """
        ## Domain dimension.
        self.dimension = dimension
        ## Domain discretization.
        self.discreteDomain = None

    @abstractmethod
    def discretize(self, resolution=None):
        """
        @param resolution : discretization specifications.
        """

if __name__ == "__main__":
    print __doc__
    print "- Provided class : Domain (abstract)."
    print Domain.__doc__

