"""
@package parmepy.particular_solvers.solver

Solver class interface.
"""
from abc import ABCMeta, abstractmethod


class Solver:
    """
    Solver interface.
    """

    __metaclass__ = ABCMeta

    @abstractmethod
    def __init__(self, problem):
        """
        Constructor of an interface. Do nothing.
        """
        pass

    @abstractmethod
    def initialize(self):
        """
        Solver initialisation for a given DiscreteProblem.DiscreteProblem.
        Abstract method, apply operaton on a variable.
        Must be implemented by sub-class.
        """
        raise NotImplementedError("Need to override method in a subclass of " + providedClass)

if __name__ == "__main__":
    print __doc__
    print "- Provided class : Solver"
    print Solver.__doc__
