# -*- coding: utf-8 -*-
"""
@package parmepy.tools.explore_hardware
Module for exploring hardware with OpenCL.

Find all platforms and all devices availables.
Gives some informations.
"""
import pyopencl as cl


def explore():
    """Explore hardware."""
    print "OpenCL exploration : "
    platforms = cl.get_platforms()
    platforms_info = ["name", "version", "vendor", "profile", "extensions"]
    devices_info = ["name", "version", "vendor", "profile", "extensions",
                    "available", "type", "compiler_available", "double_fp_config", "single_fp_config",
                    "global_mem_size", "global_mem_cache_type", "global_mem_cache_size", "global_mem_cacheline_size",
                    "local_mem_size", "local_mem_type", "max_clock_frequency", "max_compute_units",
                    "max_constant_buffer_size", "max_mem_alloc_size", "max_work_group_size",
                    "max_work_item_dimensions", "max_work_item_sizes",
                    "preferred_vector_width_double", "preferred_vector_width_float", "preferred_vector_width_int"]
    for pltfm in platforms:
        print "Platform:", pltfm.name
        for pltfm_info in platforms_info:
            print "  |-", pltfm_info, ':', eval("pltfm." + pltfm_info)
        devices = pltfm.get_devices()
        for dvc in devices:
            print "  |- Device:", dvc.name
            for dvc_info in devices_info:
                print "    |-", dvc_info, ':', eval("dvc." + dvc_info)
