"""
@package parmepy.tools.timer

Time steps manager.
"""
import time


class Timer:
    """
    Manage time steps and simulation end.

    """

    def __init__(self, t_end, dt, t_init=0.):
        """
        Creates a Timer.

        @param t_end : Simulation final time.
        @param dt : Time step.
        @param t_init : Simulation starting time.
        """
        ## Simulation final time
        self.t_end = t_end
        ## Simulation time step
        self.dt = dt
        ## Simulation current time
        self.t = t_init
        ## Is simulation is terminated
        self.end = False
        ## Iteration counter
        self.ite = 0

    def step(self):
        """
        Update current time.
        """
        if self.t < self.t_end:
            self.ite += 1
            self.t += self.dt
            if self.t >= self.t_end:
                self.end = True

    def __str__(self):
        s = "Timer (DiscreteOperator). "
        return s

if __name__ == "__main__":
    print __doc__
    print "- Provided class : RemeshingDOp"
    print RemeshingDOp.__doc__
