# -*- coding: utf-8 -*-
import unittest

import tests.test_Domain.test_Box
import tests.test_Variable.test_AnalyticalVariable
import tests.test_Operator.test_Advection
import tests.test_Problem.test_ContinuousTransportProblem
import tests.test_Problem.test_DiscreteTransportProblem
import tests.test_Variable.test_DiscreteVariable
import tests.test_Domain.test_CartesianGrid
import tests.test_Operator.test_AdvectionDOp
import tests.test_Operator.test_InterpolationDOp
import tests.test_Operator.test_TagDOp
import tests.test_Operator.test_RemeshingDOp

suite = unittest.TestSuite()

suite.addTest(tests.test_Domain.test_Box.suite())
suite.addTest(tests.test_Variable.test_AnalyticalVariable.suite())
suite.addTest(tests.test_Operator.test_Advection.suite())
suite.addTest(tests.test_Problem.test_ContinuousTransportProblem.suite())
suite.addTest(tests.test_Variable.test_DiscreteVariable.suite())
suite.addTest(tests.test_Domain.test_CartesianGrid.suite())
suite.addTest(tests.test_Operator.test_AdvectionDOp.suite())
suite.addTest(tests.test_Operator.test_InterpolationDOp.suite())
suite.addTest(tests.test_Operator.test_TagDOp.suite())
suite.addTest(tests.test_Operator.test_RemeshingDOp.suite())
#suite.addTest(tests.test_Problem.test_DiscreteTransportProblem.suite())


unittest.TextTestRunner(verbosity=2).run(suite)
