# -*- coding: utf-8 -*-
import unittest

from src.Utils.Discretization import *

from src.Domain.Box import *


class testDiscretization(unittest.TestCase):
    """
    Discretization test class
    """
    def setUp(self):
        self.eNb = 11
        self.d = Discretization([self.eNb], Box(1, [1.], [0.]), dt=0.5)

    def testValues(self):
        """--> Discretisation initialisation testing"""
        self.assertEqual(self.d.elemNb[0], self.eNb)
        self.assertEqual(self.d.elemSize[0], 1 / (1. * self.eNb))


def suite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(testDiscretization))
    return suite

if __name__ == "__main__":
    unittest.TextTestRunner(verbosity=2).run(suite())
